\name{SBracket}
\alias{SBracket}
\title{
    Simulation method for NCAA Tournament
}
\description{
    Simulates results of multiple NCAA Tournaments
}
\usage{
SBracket(QBFit, Tournament, R = 100, seed = NULL, ...)
}
\arguments{
  \item{QBFit}{
      Fitted ratings coefficients and copula function from \code{QBFit} call.
}
  \item{Tournament}{
      Structure describing the NCAA Tournament
}
  \item{R}{
      Number of replications of the simulation experiment
}
  \item{seed}{
      Random seed for the experiment
}
  \item{\dots}{
      Other arguments to or from wherever.
}
}
\details{
    Repeatedly calls \code{Bracket} and accumulates survival frequencies
    for all the tournament teams.
}
\value{
    Returns a matrix of class "SBracket" containing the survival frequencies
}
\author{
    Roger Koenker
}
\keyword{methods}
